Bug 55576 - RH-7.2 up2date downloads invalid rpms
RH-7.2 up2date downloads invalid rpms
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2001-11-02 06:00 EST by Krzysio (Chris) Leszczynski
Modified: 2015-01-07 18:52 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-11-02 14:14:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Krzysio (Chris) Leszczynski 2001-11-02 06:00:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20010901

Description of problem:
up2date fails to install several rpms. rpms downloaded to
/var/spool/up2date have invalid checksums and gpg signatures. It
looks that up2dates fails only on rpms bigger than approx 2MB. I
am not sure whether this bug is in up2date itself or kernel or
whatever, but it looks up2date is the only program that downloads
incorrect files. rsync, ftp, wget all appear to work correctly on
large files.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
I am trying to upgrade to a new ghostcript and then it fails
with invalid gpg signature.

Actual Results:  I click <Abort> and looked at the rpm file, indeed it was

   $ rpm -Kvv ghostscript-6.51-16.i386.rpm results

   D: Expected size:      7062010 = lead(96)+sigs(149)+pad(3)+data(7061762)
   D:   Actual size:      7062010
   MD5 sum mismatch
   Expected: affb80920802a93a121b49220759b1db
   Saw     : 8a8aa377bf43d1bd3f4af576e75063c9
   gpg: Warning: using insecure memory!
   gpg: Signature made Wed 31 Oct 2001 10:13:55 PM CET using DSA key ID
   gpg: BAD signature from "Red Hat, Inc <security@redhat.com>"

   $ md5sum ghostscript-6.51-16.i386.rpm
   e4ff3344e3e5abb6e7d6cf736e33cf71 ghostscript-6.51-16.i386.rpm 

Additional info:

I have left a copy of the buggy ghostscript file (the ghostscript
is an example, actually any big rpm comes that way, including
glibc and kernel).  If you have a local copy of
ghostscript-6.51-16.i386.rpm then the preferred method is rsync,
because the file differs from the original few bytes.

You can rsync the file using:
    rsync alec.camk.edu.pl::bugzilla/ghostscript-6.51-16.i386.rpm

or you can wget it from:

I have been using Redhat 7.1 since June 2001 and everything was
ok.  The up2date problems started 4 days ago, when I upgraded to
RH 7.2.  I have upgraded my system simply by inserting the RH7.2
CD and chosing upgrade.
Comment 1 Adrian Likins 2001-11-02 14:14:52 EST
I've seen two reports of this, but so far have been unable to
reproduce it locally. 

I have some suspicions on what is is, but havent found it yet.
Comment 2 Adrian Likins 2002-03-26 18:56:10 EST
This looks like a server/network issue to me, and seems to have been
a temporary issue, so I'm closing this bug out.

If this is still an issue, please reopen this bug report.

Note You need to log in before you can comment on or make changes to this bug.